All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.models
Class SimpleMenuItemNode

    com.sas.servlet.tbeans.models.SimpleMenuItemNode

All Implemented Interfaces:
  MenuItemNodeInterface, NodeInterface, java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

Direct Known Subclasses:
  MenuItemNode, MenuNode

    public class SimpleMenuItemNode

implements MenuItemNodeInterface

SimpleMenuItemNode extends Node and provides an implementation of MenuItemNodeInterface

See Also:
  Serialized Form

Field Summary
`static int` | `LEFT`
`static java.lang.String` | `RB_KEY`
`static int` | `RIGHT`

Constructor Summary
`SimpleMenuItemNode()`

Method Summary
`java.lang.String` | `getAccessKey()` Gets the accesskey.
`java.lang.String` | `getAlternateText()` Gets the alternate text.
`java.lang.String` | `getBottomLeftImage()` Returns the image displayed on the left bottom side of the button
`java.lang.String` | `getBottomRightImage()` Returns the image displayed on the bottom right side of the button
`java.lang.String` | `getCustomAction()`
`java.lang.String` | `getDisabledImage()` Returns the disabledImage
`int` | `getHeight()` Gets the height of the MenuBar/Table in pixels.
`int` | `getHeightPercentage()` Gets the height of the Table/MenuBar as a percentage
`java.lang.String` | `getImage()` Returns the image displayed on the button
`int` | `getImagePosition()` Returns the position of the button image.
`java.lang.String` | `getLabel()` Returns the label of the button
`java.lang.String` | `getLeftImage()` Returns the image displayed on the left side of the button
`java.lang.String` | `getOnBlur()` Gets the onBlur value.
`java.lang.String` | `getOnClick()` Gets the onClick value.
`java.lang.String` | `getOnFocus()` Gets the onFocus value.
`java.lang.String` | `getOnKeyDown()` Gets the onkeydown value.
`java.lang.String` | `getOnKeyPress()` Gets the onKeyPress value.
`java.lang.String` | `getOnKeyUp()` Gets the onkeyup value.
`java.lang.String` | `getOnMouseDown()` Gets the onMouseDown value.
`java.lang.String` | `getOnMouseOut()` Gets the onMouseOut value.
`java.lang.String` | `getOnMouseOver()` Gets the onMouseOver value.
`java.lang.String` | `getOnMouseUp()` Gets the onmouseup value.
`java.lang.String` | `getRightImage()` Returns the image displayed on the right side of the button
`java.lang.String` | `getStyleClassPrefix()` Returns the styleClassPrefix of the button
`java.lang.String` | `getStyleClassSuffix()` Returns the styleClassSuffix of the button
`int` | `getTabIndex()` Gets the tabindex.
`java.lang.String` | `getTarget()` getTarget returns the value of the TARGET= argument used on the anchor tags generated.
`java.lang.String` | `getTitle()` Gets the title of the href.
`java.lang.String` | `getTopLeftImage()` Returns the image displayed on the top left side of the button
`java.lang.String` | `getTopRightImage()` Returns the image displayed on the top right side of the button
`java.lang.String` | `getURL()` Returns the url associated with the button
`int` | `getWidth()` Gets the width of the MenuBar/Table in pixels.
`int` | `getWidthPercentage()` Gets the width of the Table/MenuBar as a percentage
`boolean` | `isEnabled()` Returns the state for the current menu item.
`boolean` | `isWrapped()` Returns wheather the label is wrapped or not.
`void` | `setAccessKey(java.lang.String value)` Sets the accesskey.
`void` | `setAlternateText(java.lang.String value)` Sets the alternate text.
`void` | `setBottomLeftImage(java.lang.String image)` Sets the image displayed on the bottom left side of the button
`void` | `setBottomRightImage(java.lang.String image)` Sets the image displayed on the bottom right side of the button
`void` | `setCustomAction(java.lang.String customAction)`
`void` | `setDisabledImage(java.lang.String image)` Sets the disabled image that will be displayed when the menu is disabled
`void` | `setEnabled(boolean enabled)` Sets the state for the current menu item
`void` | `setHeight(int value)` Sets the height of the Table/MenuBar in pixels.
`void` | `setHeightPercentage(int value)` Sets the height of the Table/MenuBar as a percentage
`void` | `setImage(java.lang.String image)` Sets the image displayed in the button
`void` | `setImagePosition(int position)` Sets the image position
`void` | `setLabel(java.lang.String label)` Sets the label of the button
`void` | `setLeftImage(java.lang.String image)` Sets the image displayed on the left side of the button
`void` | `setOnBlur(java.lang.String onblur)` Sets the onBlur event value.
`void` | `setOnClick(java.lang.String onclick)` Sets the onClick event value.
`void` | `setOnFocus(java.lang.String onfocus)` Sets the onFocus event value.
`void` | `setOnKeyDown(java.lang.String onkeydown)` Sets the onKeyDown value
`void` | `setOnKeyPress(java.lang.String onkeypress)` Sets the onKeyPress value
`void` | `setOnKeyUp(java.lang.String onkeyup)` Sets the onKeyUp value
`void` | `setOnMouseDown(java.lang.String mousedown)` Sets the onmouseDown event value.
`void` | `setOnMouseOut(java.lang.String mouseout)` Sets the onMouseOut event value.
`void` | `setOnMouseOver(java.lang.String mouseover)` Sets the onMouseOver event value.
`void` | `setOnMouseUp(java.lang.String mouseup)` Sets the onmouseup event value.
`void` | `setRightImage(java.lang.String image)` Sets the image displayed on the right side of the button
`void` | `setStyleClassPrefix(java.lang.String styleClassPrefix)` Sets the styleClassPrefix of the button
`void` | `setStyleClassSuffix(java.lang.String styleClassSuffix)` Sets the styleClassSuffix of the button
`void` | `setTabIndex(int value)` Sets the tabindex.
`void` | `setTarget(java.lang.String value)` Sets the value of the TARGET= argument used on the anchor tags generated.
`void` | `setTitle(java.lang.String value)` Sets the title for the href.
`void` | `setTopLeftImage(java.lang.String image)` Sets the image displayed on the top left side of the button
`void` | `setTopRightImage(java.lang.String image)` Sets the image displayed on the top right side of the button
`void` | `setURL(java.lang.String url)` Sets the url associated with the button
`void` | `setWidth(int value)` Sets the width of the Table/MenuBar in pixels.
`void` | `setWidthPercentage(int value)` Sets the width of the Table/MenuBar as a percentage
`void` | `setWrap(boolean wrap)` Sets true or false to determine wheather the label in the <td> tag is wrapped.

Methods inherited from class com.sas.servlet.tbeans.models.Node
`addItems, getIndex, getNodeExpandedText, getNodeText, getNodeType, getNodeTypes, getObjectData, isExternalUpdateSupported, setExternalUpdateSupported, setNodeExpandedText, setNodeText, setNodeType, setObjectData, toString`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

### RIGHT

    public static final int RIGHT

See Also:
  Constant Field Values

### LEFT

    public static final int LEFT

See Also:
  Constant Field Values

Constructor Detail

### SimpleMenuItemNode

    public SimpleMenuItemNode()

Method Detail

### setLeftImage

    public void setLeftImage(java.lang.String image)

  Sets the image displayed on the left side of the button

  Specified by:
    `setLeftImage` in interface `MenuItemNodeInterface`
  Parameters:
    `image` - the name of the image

### getLeftImage

    public java.lang.String getLeftImage()

  Returns the image displayed on the left side of the button

  Specified by:
    `getLeftImage` in interface `MenuItemNodeInterface`
  Returns:
    image

### setRightImage

    public void setRightImage(java.lang.String image)

  Sets the image displayed on the right side of the button

  Specified by:
    `setRightImage` in interface `MenuItemNodeInterface`
  Parameters:
    `image` - the name of the image

### getRightImage

    public java.lang.String getRightImage()

  Returns the image displayed on the right side of the button

  Specified by:
    `getRightImage` in interface `MenuItemNodeInterface`
  Returns:
    image

### setTopLeftImage

    public void setTopLeftImage(java.lang.String image)

  Sets the image displayed on the top left side of the button

  Specified by:
    `setTopLeftImage` in interface `MenuItemNodeInterface`
  Parameters:
    `image` - the name of the image

### getTopLeftImage

    public java.lang.String getTopLeftImage()

  Returns the image displayed on the top left side of the button

  Specified by:
    `getTopLeftImage` in interface `MenuItemNodeInterface`
  Parameters:
    `image` - of the top left side

### setTopRightImage

    public void setTopRightImage(java.lang.String image)

  Sets the image displayed on the top right side of the button

  Specified by:
    `setTopRightImage` in interface `MenuItemNodeInterface`
  Parameters:
    `image` - the name of the image

### getTopRightImage

    public java.lang.String getTopRightImage()

  Returns the image displayed on the top right side of the button

  Specified by:
    `getTopRightImage` in interface `MenuItemNodeInterface`
  Parameters:
    `image` - of the top right side

### setBottomLeftImage

    public void setBottomLeftImage(java.lang.String image)

  Sets the image displayed on the bottom left side of the button

  Specified by:
    `setBottomLeftImage` in interface `MenuItemNodeInterface`
  Parameters:
    `image` - the name of the image

### getBottomLeftImage

    public java.lang.String getBottomLeftImage()

  Returns the image displayed on the left bottom side of the button

  Specified by:
    `getBottomLeftImage` in interface `MenuItemNodeInterface`
  Parameters:
    `image` - of the bottom left side

### setBottomRightImage

    public void setBottomRightImage(java.lang.String image)

  Sets the image displayed on the bottom right side of the button

  Specified by:
    `setBottomRightImage` in interface `MenuItemNodeInterface`
  Parameters:
    `image` - the name of the image

### getBottomRightImage

    public java.lang.String getBottomRightImage()

  Returns the image displayed on the bottom right side of the button

  Specified by:
    `getBottomRightImage` in interface `MenuItemNodeInterface`
  Parameters:
    `image` - of the top left side

### setOnMouseOver

    public void setOnMouseOver(java.lang.String mouseover)

  Sets the onMouseOver event value.

  Specified by:
    `setOnMouseOver` in interface `MenuItemNodeInterface`
  Parameters:
    `mouseover` - The onMouseOver value

### getOnMouseOver

    public java.lang.String getOnMouseOver()

  Gets the onMouseOver value.

  Specified by:
    `getOnMouseOver` in interface `MenuItemNodeInterface`
  Returns:
    onMouseOver value The onMouseOver

### setOnMouseOut

    public void setOnMouseOut(java.lang.String mouseout)

  Sets the onMouseOut event value.

  Specified by:
    `setOnMouseOut` in interface `MenuItemNodeInterface`
  Parameters:
    `mouseout` - The onMouseOut value

### getOnMouseOut

    public java.lang.String getOnMouseOut()

  Gets the onMouseOut value.

  Specified by:
    `getOnMouseOut` in interface `MenuItemNodeInterface`
  Returns:
    onMouseOut value The onMouseOut

### setOnClick

    public void setOnClick(java.lang.String onclick)

  Sets the onClick event value.

  Specified by:
    `setOnClick` in interface `MenuItemNodeInterface`
  Parameters:
    `onclick` - The onClick value

### getOnClick

    public java.lang.String getOnClick()

  Gets the onClick value.

  Specified by:
    `getOnClick` in interface `MenuItemNodeInterface`
  Returns:
    onClick value

### setOnKeyPress

    public void setOnKeyPress(java.lang.String onkeypress)

  Sets the onKeyPress value

  Specified by:
    `setOnKeyPress` in interface `MenuItemNodeInterface`
  Parameters:
    `onkeypress` - The onKeyPressValue

### getOnKeyPress

    public java.lang.String getOnKeyPress()

  Gets the onKeyPress value.

  Specified by:
    `getOnKeyPress` in interface `MenuItemNodeInterface`
  Returns:
    onKeyPress value

### setOnBlur

    public void setOnBlur(java.lang.String onblur)

  Sets the onBlur event value.

  Specified by:
    `setOnBlur` in interface `MenuItemNodeInterface`
  Parameters:
    `value` - The onBlur value

### getOnBlur

    public java.lang.String getOnBlur()

  Gets the onBlur value.

  Specified by:
    `getOnBlur` in interface `MenuItemNodeInterface`
  Returns:
    onBlur value The onBlur

### setOnFocus

    public void setOnFocus(java.lang.String onfocus)

  Sets the onFocus event value.

  Specified by:
    `setOnFocus` in interface `MenuItemNodeInterface`
  Parameters:
    `value` - The onFocus value

### getOnFocus

    public java.lang.String getOnFocus()

  Gets the onFocus value.

  Specified by:
    `getOnFocus` in interface `MenuItemNodeInterface`
  Returns:
    onFocus value The onFocus

### setOnMouseDown

    public void setOnMouseDown(java.lang.String mousedown)

  Sets the onmouseDown event value.

  Specified by:
    `setOnMouseDown` in interface `MenuItemNodeInterface`
  Parameters:
    `value` - The onMouseDown value

### getOnMouseDown

    public java.lang.String getOnMouseDown()

  Gets the onMouseDown value.

  Specified by:
    `getOnMouseDown` in interface `MenuItemNodeInterface`
  Returns:
    onMouseDown value The onFocus

### setOnMouseUp

    public void setOnMouseUp(java.lang.String mouseup)

  Sets the onmouseup event value.

  Specified by:
    `setOnMouseUp` in interface `MenuItemNodeInterface`
  Parameters:
    `value` - The onMouseDown value

### getOnMouseUp

    public java.lang.String getOnMouseUp()

  Gets the onmouseup value.

  Specified by:
    `getOnMouseUp` in interface `MenuItemNodeInterface`
  Returns:
    onMouseUp value The onFocus

### setOnKeyDown

    public void setOnKeyDown(java.lang.String onkeydown)

  Sets the onKeyDown value

  Specified by:
    `setOnKeyDown` in interface `MenuItemNodeInterface`
  Parameters:
    `onkeypress` - The onKeyDown

### getOnKeyDown

    public java.lang.String getOnKeyDown()

  Gets the onkeydown value.

  Specified by:
    `getOnKeyDown` in interface `MenuItemNodeInterface`
  Returns:
    onkeydown value

### setOnKeyUp

    public void setOnKeyUp(java.lang.String onkeyup)

  Sets the onKeyUp value

  Specified by:
    `setOnKeyUp` in interface `MenuItemNodeInterface`
  Parameters:
    `onkeyup` - The onKeyUp value

### getOnKeyUp

    public java.lang.String getOnKeyUp()

  Gets the onkeyup value.

  Specified by:
    `getOnKeyUp` in interface `MenuItemNodeInterface`
  Returns:
    onkeyup value

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label of the button

  Specified by:
    `setLabel` in interface `MenuItemNodeInterface`
  Parameters:
    `label` - the label of the button

### getLabel

    public java.lang.String getLabel()

  Returns the label of the button

  Specified by:
    `getLabel` in interface `MenuItemNodeInterface`

### setWidth

    public void setWidth(int value)

  Sets the width of the Table/MenuBar in pixels.

  Specified by:
    `setWidth` in interface `MenuItemNodeInterface`
  Parameters:
    `value` - The width in pixels

### getWidth

    public int getWidth()

  Gets the width of the MenuBar/Table in pixels.

  Specified by:
    `getWidth` in interface `MenuItemNodeInterface`
  Returns:
    The width in pixels

### setWidthPercentage

    public void setWidthPercentage(int value)

  Sets the width of the Table/MenuBar as a percentage

  Specified by:
    `setWidthPercentage` in interface `MenuItemNodeInterface`
  Parameters:
    `value` - The width as a percentage

### getWidthPercentage

    public int getWidthPercentage()

  Gets the width of the Table/MenuBar as a percentage

  Specified by:
    `getWidthPercentage` in interface `MenuItemNodeInterface`
  Returns:
    The width as a percentage

### setHeight

    public void setHeight(int value)

  Sets the height of the Table/MenuBar in pixels.

  Specified by:
    `setHeight` in interface `MenuItemNodeInterface`
  Parameters:
    `value` - The height in pixels

### getHeight

    public int getHeight()

  Gets the height of the MenuBar/Table in pixels.

  Specified by:
    `getHeight` in interface `MenuItemNodeInterface`
  Returns:
    The height in pixels

### setHeightPercentage

    public void setHeightPercentage(int value)

  Sets the height of the Table/MenuBar as a percentage

  Specified by:
    `setHeightPercentage` in interface `MenuItemNodeInterface`
  Parameters:
    `value` - The height as a percentage

### getHeightPercentage

    public int getHeightPercentage()

  Gets the height of the Table/MenuBar as a percentage

  Specified by:
    `getHeightPercentage` in interface `MenuItemNodeInterface`
  Returns:
    The height as a percentage

### getURL

    public java.lang.String getURL()

  Returns the url associated with the button

  Specified by:
    `getURL` in interface `MenuItemNodeInterface`
  Returns:
    the url associated with the button

### setURL

    public void setURL(java.lang.String url)

  Sets the url associated with the button

  Specified by:
    `setURL` in interface `MenuItemNodeInterface`
  Parameters:
    `url` - the url associated with the button

### getTarget

    public java.lang.String getTarget()

  getTarget returns the value of the TARGET= argument used on the anchor tags generated.

  Specified by:
    `getTarget` in interface `MenuItemNodeInterface`
  Returns:
    TARGET= argument of the anchor tags

### setTarget

    public void setTarget(java.lang.String value)

  Sets the value of the TARGET= argument used on the anchor tags generated.

  Specified by:
    `setTarget` in interface `MenuItemNodeInterface`
  Parameters:
    `value` - The value of the TARGET= argument on the anchor tag

### setTabIndex

    public void setTabIndex(int value)

  Sets the tabindex.

  Specified by:
    `setTabIndex` in interface `MenuItemNodeInterface`
  Parameters:
    `tabindex` - The FormElement tabindex

### getTabIndex

    public int getTabIndex()

  Gets the tabindex.

  Specified by:
    `getTabIndex` in interface `MenuItemNodeInterface`
  Returns:
    tabindex The tabindex

### setAccessKey

    public void setAccessKey(java.lang.String value)

  Sets the accesskey.

  Specified by:
    `setAccessKey` in interface `MenuItemNodeInterface`
  Parameters:
    `accesskey` - The accesskey

### getAccessKey

    public java.lang.String getAccessKey()

  Gets the accesskey.

  Specified by:
    `getAccessKey` in interface `MenuItemNodeInterface`
  Returns:
    accesskey The accesskey

### setTitle

    public void setTitle(java.lang.String value)

  Sets the title for the href.

  Specified by:
    `setTitle` in interface `MenuItemNodeInterface`
  Parameters:
    `value` - The title of the href

### getTitle

    public java.lang.String getTitle()

  Gets the title of the href.

  Specified by:
    `getTitle` in interface `MenuItemNodeInterface`
  Returns:
    accesskey The title

### getImage

    public java.lang.String getImage()

  Returns the image displayed on the button

  Specified by:
    `getImage` in interface `MenuItemNodeInterface`
  Returns:
    image displayed on the button

### setImage

    public void setImage(java.lang.String image)

  Sets the image displayed in the button

  Specified by:
    `setImage` in interface `MenuItemNodeInterface`
  Parameters:
    `image` - image displayed in the button

### isWrapped

    public boolean isWrapped()

  Returns wheather the label is wrapped or not.

  Specified by:
    `isWrapped` in interface `MenuItemNodeInterface`
  Returns:
    true if the label is wrapped; false otherwise

### setWrap

    public void setWrap(boolean wrap)

  Sets true or false to determine wheather the label in the <td> tag is wrapped.

  Specified by:
    `setWrap` in interface `MenuItemNodeInterface`
  Parameters:
    `wrap` - true if label is wrapped; false otherwise

### getImagePosition

    public int getImagePosition()

  Returns the position of the button image.

  Specified by:
    `getImagePosition` in interface `MenuItemNodeInterface`
  Returns:
    the image position

### setImagePosition

    public void setImagePosition(int position)

  Sets the image position

  Specified by:
    `setImagePosition` in interface `MenuItemNodeInterface`
  Parameters:
    `position` - of the image

### setStyleClassPrefix

    public void setStyleClassPrefix(java.lang.String styleClassPrefix)

  Sets the styleClassPrefix of the button

  Specified by:
    `setStyleClassPrefix` in interface `MenuItemNodeInterface`
  Parameters:
    `styleClassPrefix` - The styleClassPrefix to use for the button

### getStyleClassPrefix

    public java.lang.String getStyleClassPrefix()

  Returns the styleClassPrefix of the button

  Specified by:
    `getStyleClassPrefix` in interface `MenuItemNodeInterface`
  Returns:
    The styleClassPrefix

### setStyleClassSuffix

    public void setStyleClassSuffix(java.lang.String styleClassSuffix)

  Sets the styleClassSuffix of the button

  Specified by:
    `setStyleClassSuffix` in interface `MenuItemNodeInterface`
  Parameters:
    `styleClassSuffix` - The styleClassSuffix to use for the button

### getStyleClassSuffix

    public java.lang.String getStyleClassSuffix()

  Returns the styleClassSuffix of the button

  Specified by:
    `getStyleClassSuffix` in interface `MenuItemNodeInterface`
  Returns:
    The styleClassSuffix

### setCustomAction

    public void setCustomAction(java.lang.String customAction)

  Specified by:
    `setCustomAction` in interface `MenuItemNodeInterface`

### getCustomAction

    public java.lang.String getCustomAction()

  Specified by:
    `getCustomAction` in interface `MenuItemNodeInterface`

### setAlternateText

    public void setAlternateText(java.lang.String value)

  Sets the alternate text.

  Specified by:
    `setAlternateText` in interface `MenuItemNodeInterface`
  Parameters:
    `value` - The alternate text

### getAlternateText

    public java.lang.String getAlternateText()

  Gets the alternate text.

  Specified by:
    `getAlternateText` in interface `MenuItemNodeInterface`
  Returns:
    alternateText The alternate text

### getDisabledImage

    public java.lang.String getDisabledImage()

  Returns the disabledImage

  Specified by:
    `getDisabledImage` in interface `MenuItemNodeInterface`
  Returns:
    image displayed on the menu item when the menu item is disalbed

### setDisabledImage

    public void setDisabledImage(java.lang.String image)

  Sets the disabled image that will be displayed when the menu is disabled

  Specified by:
    `setDisabledImage` in interface `MenuItemNodeInterface`
  Parameters:
    `image` - image displayed when the menu item is disabled

### isEnabled

    public boolean isEnabled()

  Returns the state for the current menu item.

  Specified by:
    `isEnabled` in interface `MenuItemNodeInterface`
  Returns:
    the state for the current menu item - true means enabled

### setEnabled

    public void setEnabled(boolean enabled)

  Sets the state for the current menu item

  Specified by:
    `setEnabled` in interface `MenuItemNodeInterface`
  Parameters:
    `enabled` - state of the current menu item

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.